// pages/scoutRule/scoutRule.js
const app = getApp()
Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    imgUrl: app.globalData.urlStatic,//图片路径
  },

  /**
   * 组件的方法列表
   */
  methods: {
    closeXieyi: function () {
      this.triggerEvent('scoutRule')
    },
    cutPage:function(){
      app.wxRequest(app.globalData.urlRoot + "userInfo/getCertificationInfo", {}, res => {
        if (res.code == 200) {
          app.globalData.authenticationStatus = res.data;
          if (!app.globalData.certificationInfo) {
            app.globalData.certificationInfo = true;
            wx.setStorageSync("certificationInfo", true);
          }
          app.globalData.certificationState = res.data.certificationState;
          wx.navigateTo({
            url: '/pages/scout/scout'
          })
        } else if (res.code == -307) {
          wx.navigateTo({
            url: '/pages/mobileVerification/mobileVerification'
          })
        } else if (res.code == -308) {
          wx.navigateTo({
            url: '/pages/scout/register/register'
          })
        }
      }, this);
    }
  }
})
